var canvasBg = document.getElementById('canvasBg');
var ctxBg = canvasBg.getContext('2d');
var canvasJet = document.getElementById('canvasJet');
var ctxJet = canvasJet.getContext('2d');

var gameWidth = canvasBg.width;
var gameHeight = canvasBg.height;
var fps = 10;
var drawInterval;


var imgSprite = new Image();
imgSprite.src = 'images/sprite.png';
imgSprite.addEventListener('load',init,false);



function init() {
    drawBg();
    startDrawing();
}


function draw() {
    drawJet();
}

function startDrawing() {
    stopDrawing();
    drawInterval = setInterval(draw,fps);
}

function stopDrawing() {
    clearInterval(drawInterval);
}




function drawJet() {
    clearCtxJet();
    var srcX = 0;
    var srcY = 500;
    var drawX = 220;
    var drawY = 200;
    var width = 100;
    var height = 40;
    ctxJet.drawImage(imgSprite,srcX,srcY,width,height,drawX,drawY,width,height);
}

function drawBg() {
    var srcX = 0;
    var srcY = 0;
    var drawX = 0;
    var drawY = 0;
    ctxBg.drawImage(imgSprite,srcX,srcY,gameWidth,gameHeight,drawX,drawY,gameWidth,gameHeight);
}



function clearCtxBg() {
    ctxBg.clearRect(0,0,gameWidth,gameHeight);
}

function clearCtxJet() {
    ctxJet.clearRect(0,0,gameWidth,gameHeight);
}